Bug 591523 - (Audio) Headphone detection not working on Fedora 13 after preupgrade on F12 on Asus 1201n (chipset realtek high definition)
(Audio) Headphone detection not working on Fedora 13 after preupgrade on F12 ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
13
i686 Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 09:50 EDT by Rémi Clédou
Modified: 2011-06-27 12:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:18:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rémi Clédou 2010-05-12 09:50:13 EDT
Description of problem:

When I'm plugging the jack of my headphone, Fedo 13 is not detecting that, I need to change manualy the configuration in "system" > "sound" > "output" and change to "Analog Headphones". It's working without problems on F12.
It's a realtek chipset, but Fedo detect like a nvidia product.

Version-Release number of selected component (if applicable):
Fedora 13 beta , linux kernel: 2.6.33.3-85.fc13.i686

The distro is up to date

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
# lspci
00:08.0 Audio device: nVidia Corporation MCP79 High Definition Audio (rev b1)
00:09.0 PCI bridge: nVidia Corporation MCP79 PCI Bridge (rev b1)
00:0b.0 IDE interface: nVidia Corporation MCP79 SATA Controller (rev b1)
00:10.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1)
00:16.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1)
00:18.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1)
05:00.0 VGA compatible controller: nVidia Corporation ION VGA [GeForce 9400M] (rev b1)

# aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: NVidia [HDA NVidia], device 0: ALC269 Analog [ALC269 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: NVidia [HDA NVidia], device 3: NVIDIA HDMI [NVIDIA HDMI]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

# lsmod |grep snd
snd_hda_codec_nvhdmi     3086  1 
snd_hda_codec_realtek   200715  1 
snd_hda_intel          20195  3 
snd_hda_codec          61515  3 snd_hda_codec_nvhdmi,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               4704  1 snd_hda_codec
snd_seq                41363  0 
snd_seq_device          4867  1 snd_seq
snd_pcm                59280  2 snd_hda_intel,snd_hda_codec
snd_timer              15063  2 snd_seq,snd_pcm
snd                    45127  14 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore               4842  1 snd
snd_page_alloc          5877  2 snd_hda_intel,snd_pcm
Comment 1 Marco Cyriacks 2010-06-11 14:38:56 EDT
The same problem here on my EeePc 1000 HGo after running preupgrade from Fedora 12 to Fedora 13.

$ lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)

$ aplay -l
**** Liste der Hardware-Geräte (PLAYBACK) ****
Karte 0: Intel [HDA Intel], Gerät 0: ALC269 Analog [ALC269 Analog]
  Sub-Geräte: 0/1
  Sub-Gerät #0: subdevice #0

$ lsmod | grep snd
snd_hda_codec_realtek   200704  1 
snd_hda_intel          20351  6 
snd_hda_codec          61515  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               4704  1 snd_hda_codec
snd_seq                41363  0 
snd_seq_device          4867  1 snd_seq
snd_pcm                59444  4 snd_hda_intel,snd_hda_codec
snd_timer              15063  2 snd_seq,snd_pcm
snd                    45127  18 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore               4842  1 snd
snd_page_alloc          5941  2 snd_hda_intel,snd_pcm
Comment 2 Bug Zapper 2011-06-02 10:09:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 12:18:06 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.